<!DOCTYPE html>
<html lang="en">
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <!-- Hinzufügen -->
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>SmartBooks</title>

    <!-- Hinzufügen -->

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="/css/basic.css">
    <script type="text/javascript" src="/js/validation.js"></script>
</head>
<body>
<section class="navigation">
    <nav>
        <a href="/"><img id="logo" src="/img/logo.png"></a>
        <ul>
            <li><a href="/search">Suche</a></li>
            <li><a href="/impressum">Impressum</a></li>
        </ul>
    </nav>
</section>
<section class="content" >
    <div id="message"></div>
    <form action="/book/search" class="search" name="search" method="post" th:object="${PlattformItem}">
        <input type="hidden" name="PlattformItem.id" th:value="${itemID != null} ? ${itemId} : 'null'" />
        <div class="createInputField">
            <label>Titel:</label> <input type="text" class="form-control" name="PlattformItem.titel" placeholder="Titel" />
        </div>
        <div class="createInputField">
            <label>ISBN:</label> <input type="text" class="form-control" name="PlattformItem.isbn" placeholder="ISBN"/>
        </div>
        <div class="createInputField">
            <label>Hochschule:</label>
            <select class="form-control" name="PlattformItem.hochschule">
                <option value="">Hochschule</option>
                <option th:each="HSItem : ${hs}"
                        th:value="${HSItem}"
                        th:text="${HSItem}"></option>
            </select>
        </div>
        <div class="createInputField">
            <label>Studiengang:</label>
            <select class="form-control" name="PlattformItem.studiengang">
                <option value="">Studiengang</option>
                <option th:each="SGItem : ${sg}"
                        th:value="${SGItem}"
                        th:text="${SGItem}"></option>
            </select>
        </div>
        <input type="submit" id="submit" value="Suchen"/>
    </form>
    <section class="results">
            <article class="bookItem" th:each="PlattformItem : ${list}">
                <a th:href="${'/detail?id=' + PlattformItem.getItemID()}"><h2 th:text="${PlattformItem.getBuchItem().getTitel()}">BuchTitel</h2></a>
                <b>ISBN:</b>
                <p th:text="${PlattformItem.getBuchItem().getISBN()}">ISBN</p>
                <b>Preis: </b>
                <p th:text="${#numbers.formatDecimal(PlattformItem.getBuchItem().getPreis(), 0, 'COMMA', 2, 'POINT')} + ' CHF'"></p>
                <b>Hochschule: </b>
                <p th:text="${PlattformItem.getHsItem().getHsName()}">99</p>
                <b>Studiengang: </b>
                <p th:text="${PlattformItem.getHsItem().getSgItem().getSgName()}">99</p>
                <a class="buy" th:href="${'/buy?id=' + PlattformItem.getItemID()}">Kaufen</a>
                <a class="update" th:href="${'/book?id=' + PlattformItem.getItemID()}">Bearbeiten</a>
            </article>
    </section>
</section>
</body>
</html>